## ha 0.999p%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	[ -f machine.h.dos ] || mv machine.h machine.h.dos
	$(CC) -o ha -Igrr *.c -Wall -O2 $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)

override_dh_auto_clean:
	[ ! -f machine.h.dos ] || mv machine.h.dos machine.h
	rm -f .depend ha *.out *~ *.o
	dh_auto_clean

override_dh_clean:
	dh_clean -Xacoder.bak

## ha 0.999p+dfsg

=== grr/Makefile ===
############################################################################
#  This file is part of HA, a general purpose file archiver.
#  Copyright (C) 1995 Harri Hirvola
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
############################################################################
#	Makefile for HA/gcc
############################################################################

MCH = nix

CC = gcc
CPP = $(CC) -E
CFLAGS = -Wall -O2 -c # -I../$(MCH) -I../include
LDFLAGS = -O2

MDEFINES = "CC=$(CC)" "CPP=$(CPP)" "CFLAGS=$(CFLAGS)" "DEFS=$(DEFS)"
SUBDIRS = c $(MCH) include
#OBJS = c/*.o $(MCH)/*.o
OBJS = acoder.o archive.o asc.o cpy.o error.o ha.o haio.o hsc.o info.o \
	machine.o misc.o swdict.o

.c.o:
	$(CC) -c $(CFLAGS) $<

ha : $(OBJS)
	$(CC) $(LDFLAGS) -o ha $(OBJS)

subdirs: 
	@for i in $(SUBDIRS); do (cd $$i && echo $$i && $(MAKE) $(MDEFINES)) || exit; done

depend dep:
	@for i in $(SUBDIRS); do (cd $$i && $(MAKE) $(MDEFINES) dep) || exit; done

clean: 
	@for i in $(SUBDIRS); do (cd $$i && $(MAKE) clean) || exit; done
	rm -f .depend ha *.out *~

#
# include a dependency file if one exists
#
ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== debian/changelog ===
ha (0.999p+dfsg-4) UNRELEASED; urgency=low

  * debian/{control,rules,ha.install,ha.dirs}: Use dh.
  * debian/control: Bump Standards-Version to 3.9.4, no changes required.
  * Fix missing prototype for md_special, removing build warning.
  * Fix incorrect behaviour on 64-bit systems, use <stdint.h> to select
    integer types instead of guessing.

 -- Mikhail Gusarov <dottedmag@debian.org>  Sun, 06 Oct 2013 17:23:00 +0200

ha (0.999p+dfsg-3) unstable; urgency=low

  * debian/control: Update my mailing address.
  * debian/control: Bump Standards-Version, no changes required.
  * Convert package to 3.0 (quilt):
    - debian/source/format: Create.
    - debian/README.source: Delete.
    - debian/pathes/series: Delete.
    - debian/rules: Stop patching sources manually.
    - debian/control: Drop quilt dependency.
  * debian/control: Add ${misc:Depends} as suggested by Lintian.

 -- Mikhail Gusarov <dottedmag@debian.org>  Fri, 08 Apr 2011 19:37:12 +0200

ha (0.999p+dfsg-2) unstable; urgency=low

  * debian/rules:
    - replaced deprecated dh_clean -k with dh_prep,
    - keeping file acoder.bak from cleaning up, it exists in tarball.
  * debian/control:
    - removed duplicate Section: utils stanza,
    - decapitalized short description (Closes: #489798),
    - expanded description, as suggested by Lintian.
  * debian/patches/machine.c-missing-string.h.patch:
    - added description, as suggested by Lintian.

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Tue, 17 Feb 2009 01:50:07 +0600

ha (0.999p+dfsg-1) unstable; urgency=low

  * Initial revision (Closes: #488651).
  * DFSG-free tarball:
    - removed DOS executable bin/ha without the complete source code.

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Mon, 30 Jun 2008 21:34:18 +0700

=== debian/control ===
Source: ha
Section: utils
Priority: optional
Maintainer: Mikhail Gusarov <dottedmag@debian.org>
Build-Depends: debhelper (>= 7.0.50~), hardening-wrapper
Standards-Version: 3.9.4

Package: ha
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: archiver for .ha files
 HA is a file archiver using HSC (arithmetic/Markov algorithms) compression
 method.
 .
 Mainly useful for decompressing existing .ha archives from DOS era.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

export DEB_BUILD_HARDENING=1

override_dh_auto_build:
	[ -f makefile.dos ] || (mv makefile makefile.dos && ln -s grr/Makefile Makefile)
	[ -f machine.h.dos ] || (mv machine.h machine.h.dos && ln -s grr/machine.h machine.h)
	dh_auto_build

override_dh_auto_clean:
	[ ! -f makefile.dos ] || (rm Makefile && mv makefile.dos makefile)
	[ ! -f machine.h.dos ] || (rm machine.h && mv machine.h.dos machine.h)
	rm -f .depend ha *.out *~ *.o
	dh_auto_clean

override_dh_clean:
	dh_clean -Xacoder.bak

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$//,uversionmangle=s/^(\d)/$1./ \
  ftp://sunsite.unc.edu/pub/Linux/utils/compress/ha(.+)-linux\.tar\.gz
